GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
dynamic_engine_diagnostics.cpp File Reference
`#include "gridfire/engine/diagnostics/dynamic_engine_diagnostics.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/utils/table_format.h"`
`#include <vector>`
`#include <string>`
`#include <iostream>`
`#include <algorithm>`

## Namespaces
namespace | gridfire
namespace | gridfire::diagnostics

## Functions
void | gridfire::diagnostics::report_limiting_species (const DynamicEngine &engine, const std::vector< double > &Y_full, const std::vector< double > &E_full, const std::vector< double > &dydt_full, double relTol, double absTol, size_t top_n=10)
void | gridfire::diagnostics::inspect_species_balance (const DynamicEngine &engine, const std::string &species_name, const fourdst::composition::Composition &comp, double T9, double rho)
void | gridfire::diagnostics::inspect_jacobian_stiffness (const DynamicEngine &engine, const fourdst::composition::Composition &comp, double T9, double rho)